::----------------------------------------------------------------
::	Script:	Install Panda Cloud Systems Management Agent via startup script
::	Version:	1.0
::	Author:	Anthony Diez and Ione Torres (Panda Cloud Systems Management)
::----------------------------------------------------------------
::	Notes:
::----------------------------------------------------------------

@ECHO OFF

:: Force working directory to be current directory
PUSHD %~dp0

:: Determine O/S Arch
IF DEFINED ProgramFiles SET pf_path=%ProgramFiles%
IF DEFINED ProgramFiles(x86) SET pf_path=%ProgramFiles(x86)%

:: Check for an existing installation of Panda Cloud Systems Management 
IF NOT EXIST "%pf_path%\Panda Cloud Systems Management\CagService.exe" (GOTO INSTALL) ELSE (EXIT)

:INSTALL

:: Install Panda Cloud Systems Management Agent
